gnu.trove

## Interface TLongHashingStrategy

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  TLongByteHashMap, TLongDoubleHashMap, TLongFloatHashMap, TLongHash, TLongHashSet, TLongIntHashMap, TLongLongHashMap, TLongObjectHashMap, TLongShortHashMap

    public interface TLongHashingStrategy
    extends java.io.Serializable

Interface to support pluggable hashing strategies in maps and sets. Implementors can use this interface to make the trove hashing algorithms use an optimal strategy when computing hashcodes. Created: Sun Nov 4 08:56:06 2001

Version:
  $Id: PHashingStrategy.template,v 1.1 2006/11/10 23:28:00 robeden Exp $
Author:
  Eric D. Friedman

### Method Summary

Methods
`int` `computeHashCode(long val)` Computes a hash code for the specified long.

### Method Detail

#### computeHashCode

    int computeHashCode(long val)

Computes a hash code for the specified long. Implementors can use the long's own value or a custom scheme designed to minimize collisions for a known set of input.

Parameters:
  `val` - long for which the hashcode is to be computed
Returns:
  the hashCode